Present Credential
Present the selected credential from the Wallet to the verifier for OID4VP.
Submit a credential to a verifier via the OID4VP protocol.
This API should be called once the end user has consented to presentation of their selected credentials to proceed with the OID4VP protocol and present them to the verifier.
The verificationSessionId had been returned from the /wallets/{walletId}/verify/initiate call.
Path Parameters
The unique identifier of the Wallet.
uuidA unique ID of the verify session.
uuidHeader Parameters
Token for authenticating requests to the FortID Wallet Service.
Request Body
application/json
A single credential ID, if only a single DCQL credential query is requested for presentation, or a list of credential IDs, if multiple credential queries are requested for presentation.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://ews.mds2026.fortid.dev/wallets/f4856bb7-d77a-4a6a-9c8a-7d7f6f639cfb/verify/dd6473c2-2043-4523-b359-ceb596ddae66/present" \ -H "Authorization: Bearer {access_token}" \ -H "Content-Type: application/json" \ -d '{ "selectedCredentialId": "3c833a84-94eb-477d-91ca-a9f68c5cda31" }'null{
"error": "Bad request"
}{
"error": "Unauthorized access to wallet service is not allowed."
}{
"error": "User user:9d18dc5a409e4f0f94ff6812e324c959 unauthorized for Wallet f5d223f6-fc41-42b1-b2a6-475a2984486c"
}{
"error": "Session with ID dd6473c2-2043-4523-b359-ceb596ddae66 not found"
}{
"error": "Internal Server Error"
}{
"error": "Unsupported functionality"
}